Enable
POST/organizations/{organization_id}/sso-connection
Enable SSO for organization
Path Parameters
organization_id: string
Organization ID or label identifier
minLength1
maxLength255
Header Parameters
"X-Client-Request-ID": optional string
formatuuid
Body ParametersJSON
client_id: string
OAuth 2.0 client ID
identifier: string
SSO provider identifier (e.g., issuer URL)
minLength1
maxLength2048
client_secret: optional string
OAuth 2.0 client secret (optional, will be encrypted if provided)
Returns
Enable
curl https://api.keycard.ai/organizations/$ORGANIZATION_ID/sso-connection \
-H 'Content-Type: application/json' \
-d '{
"client_id": "client_id",
"identifier": "x"
}'{
"id": "id",
"client_id": "client_id",
"client_secret_set": true,
"created_at": "2019-12-27T18:11:19.117Z",
"identifier": "x",
"updated_at": "2019-12-27T18:11:19.117Z",
"permissions": {
"organizations": {
"read": true,
"update": true
},
"users": {
"read": true,
"list": true
}
},
"protocols": {
"oauth2": {
"authorization_endpoint": "https://example.com",
"code_challenge_methods_supported": [
"string"
],
"jwks_uri": "https://example.com",
"registration_endpoint": "https://example.com",
"scopes_supported": [
"string"
],
"token_endpoint": "https://example.com"
},
"openid": {
"userinfo_endpoint": "https://example.com"
}
}
}Returns Examples
{
"id": "id",
"client_id": "client_id",
"client_secret_set": true,
"created_at": "2019-12-27T18:11:19.117Z",
"identifier": "x",
"updated_at": "2019-12-27T18:11:19.117Z",
"permissions": {
"organizations": {
"read": true,
"update": true
},
"users": {
"read": true,
"list": true
}
},
"protocols": {
"oauth2": {
"authorization_endpoint": "https://example.com",
"code_challenge_methods_supported": [
"string"
],
"jwks_uri": "https://example.com",
"registration_endpoint": "https://example.com",
"scopes_supported": [
"string"
],
"token_endpoint": "https://example.com"
},
"openid": {
"userinfo_endpoint": "https://example.com"
}
}
}